Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class TLD2Forest

    java.lang.Object
      org.makumba.commons.TLD2Forest

    public class TLD2Forest

extends Object

This class takes a TLD XML file and transforms it in a bunch of XML files understandable by Apache Forest, in two steps.

- Step 1 takes care of generating the tag documentation files and separate example XML files in which examples can be provided
- Step 2 merges the generated tag files and the corresponding example files

This mechanism allows for continuous documentation based on the TLD file.
tag.XML - [path to the output directory of XMLs]\tags\tag.xml
tagExample.XML - [path to the output directory of XMLs]\examples\tagExample.xml

Version:
  $Id: TLD2Forest.java,v 1.1 Oct 3, 2008 11:11:51 PM manu Exp $
Author:
  Manuel Gay, Anet Aselmaa (12 Oct 2008), Rudolf Mayer

Constructor Summary
`TLD2Forest()`

Method Summary
`static void` | `generateAllTagExampleFiles(String tldFileDirectory, String exampleDirectory)`
`static void` | `generateAllTagFiles(String tldFileDirectory, String taglibDirectory)`
`static String` | `generateAllTagsWithExampleFile2(String tldFilePath, String taglibDirectory, String exampleDirectory)` Step 2 method that merges separate tag.xml and tagExample.xml file
`static String` | `generateTagExampleFile(String exampleDirectory, String tagName)` Method for checking if example file exists if not an example.xml with empty structure is generated.
`static String` | `generateTagFile(String taglibDirectory, org.dom4j.Element tag)`
`static void` | `generateTagWithExampleFile(String tagsDir, String exampleDir, org.dom4j.Element tag)` Step 2 method that merges separate tag.xml and tagExample.xml file
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLD2Forest

    public TLD2Forest()

Method Detail

### main

    public static void main(String[] args)

### generateAllTagFiles

    public static void generateAllTagFiles(String tldFileDirectory,
                                           String taglibDirectory)

  Parameters:
    `tldFileDirectory` -
    `taglibDirectory` -

### generateAllTagExampleFiles

    public static void generateAllTagExampleFiles(String tldFileDirectory,
                                                  String exampleDirectory)

  Parameters:
    `tldFileDirectory` -
    `exampleDirectory` -

### generateTagFile

    public static String generateTagFile(String taglibDirectory,
                                         org.dom4j.Element tag)

  Parameters:
    `taglibDirectory` -
    `tagName` -
  Returns:

### generateTagExampleFile

    public static String generateTagExampleFile(String exampleDirectory,
                                                String tagName)

  Method for checking if example file exists if not an example.xml with empty structure is generated. If there already exists corresponding example file then just the full path file name is returned.

  Parameters:
    `exampleDirectory` - - name of the output directory where to put the generated example file
    `tagName` - - tag for which the example file is generated
  Returns:
    the name of the example file

### generateAllTagsWithExampleFile2

    public static String generateAllTagsWithExampleFile2(String tldFilePath,
                                                         String taglibDirectory,
                                                         String exampleDirectory)

  Step 2 method that merges separate tag.xml and tagExample.xml file

  Returns:

### generateTagWithExampleFile

    public static void generateTagWithExampleFile(String tagsDir,
                                                  String exampleDir,
                                                  org.dom4j.Element tag)

  Step 2 method that merges separate tag.xml and tagExample.xml file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20